Loading...
Searching...
No Matches
app.h File Reference

CApplication class. More...

`#include "common/event.h"`
`#include "common/language.h"`
`#include "common/singleton.h"`
`#include "common/system/system.h"`
`#include "graphics/core/device.h"`
`#include "level/level_category.h"`
`#include <string>`
`#include <vector>`
`#include <map>`
Include dependency graph for app.h:

## Classes

struct | JoystickDevice
| Information about a joystick device. More...
class | CApplication
| Main application. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum | ParseArgsStatus { PARSE_ARGS_OK = 1 , PARSE_ARGS_FAIL = 2 , PARSE_ARGS_HELP = 3 }
| State of parsing commandline arguments. More...
enum | MouseMode { MOUSE_SYSTEM , MOUSE_ENGINE , MOUSE_BOTH , MOUSE_NONE }
| Mode of mouse cursor. More...
enum | DebugMode { DEBUG_SYS_EVENTS = 1 << 0 , DEBUG_UPDATE_EVENTS = 1 << 1 , DEBUG_APP_EVENTS = 1 << 2 , DEBUG_EVENTS = DEBUG_SYS_EVENTS | DEBUG_UPDATE_EVENTS | DEBUG_APP_EVENTS , DEBUG_MODELS = 1 << 3 , DEBUG_ALL = DEBUG_SYS_EVENTS | DEBUG_APP_EVENTS | DEBUG_MODELS }

## Detailed Description

CApplication class.

## Enumeration Type Documentation

## ParseArgsStatus

enum ParseArgsStatus

State of parsing commandline arguments.

Enumerator
PARSE_ARGS_FAIL | < all ok
PARSE_ARGS_HELP | < invalid syntax

## MouseMode

enum MouseMode

Mode of mouse cursor.

Enumerator
MOUSE_ENGINE | < system cursor visible; in-game cursor hidden
MOUSE_BOTH | < in-game cursor visible; system cursor hidden
MOUSE_NONE | < both cursors visible (only for debug)